Operating systems Supported:


PSEngine supports nearly all modern supported operating systems. You must be running the latest versions or LTS, that has all current updates applied. Should you have any suspected operating system issues then please contact our support team here.

Linux/X11

DistributionArchitectureNotes
openSUSE 15.xx86_64
SUSE Linux Enterprise Serverx86_64
Red Hat Enterprise Linux 7.xx86_64
Ubuntu 18.04x86_64
Generic Linuxx86_64

macOS

Target PlatformArchitecture
macOS 10.13, 10.14, 10.15x86_64 and x86_64h

Windows

Operating SystemArchitectureNotes
Windows 10x86_64
Windows 8.1x86_64




Hardware Minimum Specifications:


If you are unsure if your device meets these specifications, please consult your manufacturer. These are a guideline, and your set-up may cause unexpected compatibility issues. If you have any suspected compatibility issues then please contact our support team here.



Windows Hardware


Device
Requirement
Processor
Intel i3 7300T or higher | AMD A10-9600P  (Released 2016)
RAM4GB DDR4  (Depending on your system utilisation)
GraphicsIntegrated Graphics (Comes bundled with most processors)
Storage600MB (As of PSEngine 3.7 or higher)



Mac Hardware


Model
Minimum Year/ Version & Specification
MacBook Air
Mid 2017 | 600MB Storage (As of PSEngine 3.7 or higher)
MacBook ProMid 2015 | 600MB Storage (As of PSEngine 3.7 or higher)
iMacLate 2015 | 600MB Storage (As of PSEngine 3.7 or higher)
Mac ProAny 2019 Version | 600MB Storage (2013 Version untested)
Mac MiniAny 2018 Version | 600MB Storage (2014 Version untested)



Linux Hardware


Device
Requirement
Processor
Intel i3 7300T or higher | AMD A10-9600P (Released 2016)
RAM4GB DDR4 (Depending on system utilisation)
GraphicsIntegrated Graphics (Comes bundled with most processors)
Storage600MB (As of PSEngine 3.7 or higher)